<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon May 27 19:45:04 CEST 2024 -->
<title>Uses of Class com.projetdev.vue.Fenetre</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-27">
<meta name="description" content="use: package: com.projetdev.vue, class: Fenetre">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Fenetre.html" title="class in com.projetdev.vue">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class com.projetdev.vue.Fenetre" class="title">Uses of Class<br>com.projetdev.vue.Fenetre</h1>
</div>
<div class="caption"><span>Packages that use <a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="#com.projetdev.controleur">com.projetdev.controleur</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="#com.projetdev.vue">com.projetdev.vue</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="com.projetdev.controleur">
<h2>Uses of <a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a> in <a href="../../controleur/package-summary.html">com.projetdev.controleur</a></h2>
<div class="caption"><span>Constructors in <a href="../../controleur/package-summary.html">com.projetdev.controleur</a> with parameters of type <a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier</div>
<div class="table-header col-second">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../../controleur/GestionCouleur.html#%3Cinit%3E(java.awt.Color,com.projetdev.vue.Fenetre)" class="member-name-link">GestionCouleur</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Color.html" title="class or interface in java.awt" class="external-link">Color</a>&nbsp;couleurParDefaut,
 <a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a>&nbsp;maFenetre)</code></div>
<div class="col-last even-row-color">
<div class="block">Constructeur de la gestion de couleur.</div>
</div>
</div>
</section>
</li>
<li>
<section class="detail" id="com.projetdev.vue">
<h2>Uses of <a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a> in <a href="../package-summary.html">com.projetdev.vue</a></h2>
<div class="caption"><span>Methods in <a href="../package-summary.html">com.projetdev.vue</a> that return <a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">PanneauBoutons.</span><code><a href="../PanneauBoutons.html#getFenetre()" class="member-name-link">getFenetre</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Méthode pour obtenir la fenêtre principale.</div>
</div>
<div class="col-first odd-row-color"><code><a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">PanneauDessin.</span><code><a href="../PanneauDessin.html#getFenetre()" class="member-name-link">getFenetre</a>()</code></div>
<div class="col-last odd-row-color">
<div class="block">Obtient la fenêtre parente du panneau.</div>
</div>
</div>
<div class="caption"><span>Constructors in <a href="../package-summary.html">com.projetdev.vue</a> with parameters of type <a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier</div>
<div class="table-header col-second">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../PanneauBoutons.html#%3Cinit%3E(com.projetdev.vue.Fenetre)" class="member-name-link">PanneauBoutons</a><wbr>(<a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a>&nbsp;maFenetre)</code></div>
<div class="col-last even-row-color">
<div class="block">Constructeur du panneau de boutons.</div>
</div>
<div class="col-first odd-row-color"><code>&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../PanneauDessin.html#%3Cinit%3E(com.projetdev.vue.Fenetre,java.awt.Color)" class="member-name-link">PanneauDessin</a><wbr>(<a href="../Fenetre.html" title="class in com.projetdev.vue">Fenetre</a>&nbsp;maFenetre,
 <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Color.html" title="class or interface in java.awt" class="external-link">Color</a>&nbsp;couleurDeFond)</code></div>
<div class="col-last odd-row-color">
<div class="block">Constructeur de la classe PanneauDessin.</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
